/control/manual /geometry
Command directory path : /geometry/


Guidance :
Geometry control commands.

 Sub-directories : 
   /geometry/navigator/   Geometry navigator control setup.
   /geometry/test/   Geometry verification control setup.
 Commands : 
Command directory path : /geometry/navigator/


Guidance :
Geometry navigator control setup.

 Sub-directories : 
 Commands : 
   reset * Reset navigator and navigation history.
   verbose * Set run-time verbosity for the navigator.


Command /geometry/navigator/reset
Guidance :
Reset navigator and navigation history.
NOTE: must be called only after kernel has been
      initialized once through the run manager!



Command /geometry/navigator/verbose
Guidance :
Set run-time verbosity for the navigator.
 0 : Silent (default)
 1 : Display positioning and relative states
 2 : Display step/safety info on point location
 3 : Display state at -every- step!
 4 : Maximum verbosity (very detailed!)
NOTE: this command has effect -only- if Geant4 has
      been installed with the G4VERBOSE flag set!
 Range of parameters : level >=0 && level <=4

Parameter : level
 Parameter type  : i
 Omittable       : True
 Default value   : 0

Command directory path : /geometry/test/


Guidance :
Geometry verification control setup.
Helps in detecting possible overlapping regions.

 Sub-directories : 
 Commands : 
   tolerance * Set error tolerance value.
   position * Set starting position.
   direction * Set momentum direction.
   line_test * Performs test along a single specified direction/position.
   grid_test * Start running the default grid test.
   recursive_test * Start running the recursive grid test.
   cylinder_test * Start running the cylinder test.
   run * Start running the default grid test.


Command /geometry/test/tolerance
Guidance :
Set error tolerance value.
Default: 1E-4*mm.

Parameter : Tolerance
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Unit
 Parameter type  : s
 Omittable       : True
 Default value   : mm
 Candidates      : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi



Command /geometry/test/position
Guidance :
Set starting position.

Parameter : X
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Y
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Z
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Unit
 Parameter type  : s
 Omittable       : True
 Default value   : cm
 Candidates      : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi



Command /geometry/test/direction
Guidance :
Set momentum direction.
Direction needs not to be a unit vector.
 Range of parameters : Px != 0 || Py != 0 || Pz != 0

Parameter : Px
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Py
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Pz
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Unit
 Parameter type  : s
 Omittable       : False



Command /geometry/test/line_test
Guidance :
Performs test along a single specified direction/position.
Use position and direction commands to change default.
Default: position(0,0,0), direction(0,0,1).



Command /geometry/test/grid_test
Guidance :
Start running the default grid test.
A grid of lines parallel to a cartesian axis is used;
Only direct daughters of the mother volumes are checked.



Command /geometry/test/recursive_test
Guidance :
Start running the recursive grid test.
A grid of lines along a cartesian axis is recursively
to all daughters and daughters of daughters, etc.
WARNING: it may take a very long time, depending on geometry complexity !



Command /geometry/test/cylinder_test
Guidance :
Start running the cylinder test.
A set of lines in a cylindrical pattern of gradually
increasing mesh size.



Command /geometry/test/run
Guidance :
Start running the default grid test.
Same as the grid_test command.

